For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • GETGet Settlement Batches
      • GETGet Settlement Batches by Date
      • GETGet Settlement Batch Files
      • BatchSettlement
LogoLogo
Reference - Partner APISettlements

Get Settlement Batch Files

GET
/v1/settlement/batch
GET
/v1/settlement/batch
$curl -G https://agencyapi.afterpay.com/v1/settlement/batch \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> --data-urlencode ids=id1,id2,id3
1{
2 "batches": [
3 {
4 "id": "2020-07-10Z_sud294dgzb",
5 "settlement_file": "https://s3.amazonaws.com/settlements/transaction.csv?token",
6 "aggregation_file": "https://s3.amazonaws.com/settlements/aggregated.csv?token"
7 }
8 ],
9 "meta_data": {
10 "computed_at": "2024-02-21T19:25:44Z",
11 "link_expiry": "2024-03-06T19:25:44Z"
12 }
13}
Returns signed S3 urls to the settlement file and aggregation file for specified batch IDs.
Was this page helpful?
Previous

BatchSettlement

Next
Built with

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Query parameters

idsstringRequired
Comma separated ids of batches to fetch.

Response

Successful response with signed S3 URLs for the settlement and aggregation files.
batcheslist of objects
meta_dataobject

Errors

401
Unauthorized Error
404
Not Found Error
503
Service Unavailable Error